<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__l2cap__appl__information__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_l2cap_appl_information_t</compoundname>
    <includes local="no">wiced_bt_l2c.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__l2cap__appl__information__t_1a2e00007ae56cb020366fbfd7dfe336ab" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__l2cap_1ga8eb954ec0a272b02c6fc69bd07ea7602">wiced_bt_l2cap_connected_cback_t</ref> *</type>
        <definition>wiced_bt_l2cap_connected_cback_t* wiced_bt_l2cap_appl_information_t::connected_cback</definition>
        <argsstring />
        <name>connected_cback</name>
        <briefdescription>
<para>BR/EDR connected event. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="348" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="348" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__appl__information__t_1a2da9196c24ab6e6d225d94dc1ac795d4" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__l2cap_1ga0e68b372edf738aa34033e23063ac21d">wiced_bt_l2cap_disconnect_indication_cback_t</ref> *</type>
        <definition>wiced_bt_l2cap_disconnect_indication_cback_t* wiced_bt_l2cap_appl_information_t::disconnect_indication_cback</definition>
        <argsstring />
        <name>disconnect_indication_cback</name>
        <briefdescription>
<para>BR/EDR disconnect indication event. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="349" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="349" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__appl__information__t_1a3bbfb619575069c2289c9e91b58b78c2" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__l2cap_1ga0a296b1bb20b46ebc680a7bec99a740a">wiced_bt_l2cap_disconnect_confirm_cback_t</ref> *</type>
        <definition>wiced_bt_l2cap_disconnect_confirm_cback_t* wiced_bt_l2cap_appl_information_t::disconnect_confirm_cback</definition>
        <argsstring />
        <name>disconnect_confirm_cback</name>
        <briefdescription>
<para>BR/EDR disconnect confirmation event. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="350" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="350" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__appl__information__t_1aca561436a003734a64e4b1b2d3806d83" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__l2cap_1ga5f1ea722e6d857d614fbc68192fcad37">wiced_bt_l2cap_data_indication_cback_t</ref> *</type>
        <definition>wiced_bt_l2cap_data_indication_cback_t* wiced_bt_l2cap_appl_information_t::data_indication_cback</definition>
        <argsstring />
        <name>data_indication_cback</name>
        <briefdescription>
<para>BR/EDR data received indication. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="351" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="351" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__appl__information__t_1ac63cd89496eee5f981eec222303ac922" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__l2cap_1ga202240560832cdbfbf208871afd29153">wiced_bt_l2cap_tx_complete_cback_t</ref> *</type>
        <definition>wiced_bt_l2cap_tx_complete_cback_t* wiced_bt_l2cap_appl_information_t::tx_complete_cback</definition>
        <argsstring />
        <name>tx_complete_cback</name>
        <briefdescription>
<para>BR/EDR transmit complete event. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="352" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="352" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__appl__information__t_1a92697e17aa1667a6ecd613544ba2e777" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_l2cap_appl_information_t::mtu</definition>
        <argsstring />
        <name>mtu</name>
        <briefdescription>
<para>Maximum transmission unit size. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="354" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="354" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__appl__information__t_1aff5fc7b42b6765c601b7928cf1491e8b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_appl_information_t::qos_present</definition>
        <argsstring />
        <name>qos_present</name>
        <briefdescription>
<para>QoS configuration present. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="355" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="355" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__appl__information__t_1ab2c471279290449ff25b881a3be5c8ef" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__flow__spec__t">wiced_bt_flow_spec_t</ref></type>
        <definition>wiced_bt_flow_spec_t wiced_bt_l2cap_appl_information_t::qos</definition>
        <argsstring />
        <name>qos</name>
        <briefdescription>
<para>QoS configuration. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="356" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="356" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__appl__information__t_1af8eec85bfbb24229e275538175cdbc3b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_appl_information_t::flush_timeout_present</definition>
        <argsstring />
        <name>flush_timeout_present</name>
        <briefdescription>
<para>TRUE if flush option present. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="357" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="357" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__appl__information__t_1ac0767976a7feb6692e0973992c04bbbb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_l2cap_appl_information_t::flush_timeout</definition>
        <argsstring />
        <name>flush_timeout</name>
        <briefdescription>
<para>Flush timeout value (1 msec increments) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="358" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="358" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__appl__information__t_1a81ba0bc1e4f501fd00c666c42fd1814e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_l2cap_appl_information_t::fcr_allowed_modes</definition>
        <argsstring />
        <name>fcr_allowed_modes</name>
        <briefdescription>
<para>Set to 0 or L2CAP_FCR_CHAN_OPT_BASIC for no FCR. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="359" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="359" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__appl__information__t_1ac96502487bcb1fc059e7aa3f3b63ce9a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__l2cap__fcr__options__t">wiced_bt_l2cap_fcr_options_t</ref></type>
        <definition>wiced_bt_l2cap_fcr_options_t wiced_bt_l2cap_appl_information_t::fcr</definition>
        <argsstring />
        <name>fcr</name>
        <briefdescription>
<para>Enhanced flow control and retransmission parameters. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="360" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="360" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__appl__information__t_1ae3d0889f371bb0647f1906fda7d8f2ff" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_appl_information_t::fcs_present</definition>
        <argsstring />
        <name>fcs_present</name>
        <briefdescription>
<para>TRUE if Frame check sequence option present. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="361" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="361" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__appl__information__t_1afbbeaabe0401b4597f34b94362123962" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_l2cap_appl_information_t::fcs</definition>
        <argsstring />
        <name>fcs</name>
        <briefdescription>
<para>'0' if desire is to bypass FCS, otherwise '1' </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="362" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="362" />
      </memberdef>
      <memberdef id="structwiced__bt__l2cap__appl__information__t_1a52de107c91dedd3c6faba2433a57026c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_appl_information_t::is_ob_only</definition>
        <argsstring />
        <name>is_ob_only</name>
        <briefdescription>
<para>Set to TRUE if registration is for outbound only to a dynamic PSM. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="363" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="363" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Define the structure that applications use to register with L2CAP. </para>
    </briefdescription>
    <detaileddescription>
<para>This structure includes callback functions. All functions MUST be provided. Additionally, if registering client for dynamic PSM, connect_ind_cb() must be NULL since dynamic PSMs use this as a flag for "virtual PSM". </para>
    </detaileddescription>
    <collaborationgraph>
      <node id="552">
        <label>wiced_bt_l2cap_fcr_options_t</label>
        <link refid="structwiced__bt__l2cap__fcr__options__t" />
      </node>
      <node id="550">
        <label>wiced_bt_l2cap_appl_information_t</label>
        <link refid="structwiced__bt__l2cap__appl__information__t" />
        <childnode refid="551" relation="usage">
          <edgelabel>qos</edgelabel>
        </childnode>
        <childnode refid="552" relation="usage">
          <edgelabel>fcr</edgelabel>
        </childnode>
      </node>
      <node id="551">
        <label>wiced_bt_flow_spec_t</label>
        <link refid="structwiced__bt__flow__spec__t" />
      </node>
    </collaborationgraph>
    <location bodyend="364" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" bodystart="346" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="347" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__l2cap__appl__information__t_1a2e00007ae56cb020366fbfd7dfe336ab" virt="non-virtual"><scope>wiced_bt_l2cap_appl_information_t</scope><name>connected_cback</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__appl__information__t_1aca561436a003734a64e4b1b2d3806d83" virt="non-virtual"><scope>wiced_bt_l2cap_appl_information_t</scope><name>data_indication_cback</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__appl__information__t_1a3bbfb619575069c2289c9e91b58b78c2" virt="non-virtual"><scope>wiced_bt_l2cap_appl_information_t</scope><name>disconnect_confirm_cback</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__appl__information__t_1a2da9196c24ab6e6d225d94dc1ac795d4" virt="non-virtual"><scope>wiced_bt_l2cap_appl_information_t</scope><name>disconnect_indication_cback</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__appl__information__t_1ac96502487bcb1fc059e7aa3f3b63ce9a" virt="non-virtual"><scope>wiced_bt_l2cap_appl_information_t</scope><name>fcr</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__appl__information__t_1a81ba0bc1e4f501fd00c666c42fd1814e" virt="non-virtual"><scope>wiced_bt_l2cap_appl_information_t</scope><name>fcr_allowed_modes</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__appl__information__t_1afbbeaabe0401b4597f34b94362123962" virt="non-virtual"><scope>wiced_bt_l2cap_appl_information_t</scope><name>fcs</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__appl__information__t_1ae3d0889f371bb0647f1906fda7d8f2ff" virt="non-virtual"><scope>wiced_bt_l2cap_appl_information_t</scope><name>fcs_present</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__appl__information__t_1ac0767976a7feb6692e0973992c04bbbb" virt="non-virtual"><scope>wiced_bt_l2cap_appl_information_t</scope><name>flush_timeout</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__appl__information__t_1af8eec85bfbb24229e275538175cdbc3b" virt="non-virtual"><scope>wiced_bt_l2cap_appl_information_t</scope><name>flush_timeout_present</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__appl__information__t_1a52de107c91dedd3c6faba2433a57026c" virt="non-virtual"><scope>wiced_bt_l2cap_appl_information_t</scope><name>is_ob_only</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__appl__information__t_1a92697e17aa1667a6ecd613544ba2e777" virt="non-virtual"><scope>wiced_bt_l2cap_appl_information_t</scope><name>mtu</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__appl__information__t_1ab2c471279290449ff25b881a3be5c8ef" virt="non-virtual"><scope>wiced_bt_l2cap_appl_information_t</scope><name>qos</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__appl__information__t_1aff5fc7b42b6765c601b7928cf1491e8b" virt="non-virtual"><scope>wiced_bt_l2cap_appl_information_t</scope><name>qos_present</name></member>
      <member prot="public" refid="structwiced__bt__l2cap__appl__information__t_1ac63cd89496eee5f981eec222303ac922" virt="non-virtual"><scope>wiced_bt_l2cap_appl_information_t</scope><name>tx_complete_cback</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>